"use strict";


browser.tabs.onCreated.addListener((tab) => {
    console.log("onCreated", tab.id);
});

browser.tabs.onUpdated.addListener((id) => {
    console.log("onUpdated", id);
});

browser.tabs.onActivated.addListener((info) => {
    console.log("onActivated", info.previousTabId, info.tabId);
});

browser.tabs.onRemoved.addListener((id) => {
    console.log("onRemoved", id);
});


function sleep(ms) {
    return new Promise((resolve, reject) => {
        setTimeout(resolve, ms);
    });
}

async function run() {
    const tab = await browser.tabs.create({});
    await sleep(100);
    await browser.tabs.remove(tab.id);
}

run().catch(console.error);
